﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Infragistics.Web.Mvc;

using igGridUpdating_UpdateUrl.Models;

namespace igGridUpdating_UpdateUrl.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index()
        {
            DataModel model = new DataModel();
            model.list = new List<Subjects>();
            for (int i = 0; i < 20; i++)
            {
                model.list.Add(new Subjects() { SubjectId = i, SubjectName = "name" + i, SubjectTag = "tag" + i, fTeamMember = true });
            }
            return View(model);
        }


        public JsonResult UpdateTeamName(string teamId, string teamName)
        {
            JsonResult result = new JsonResult();
            result.Data = "Success";
            result.JsonRequestBehavior = JsonRequestBehavior.AllowGet;
            return result;
        }

      
        public ActionResult SaveTeamData()
        {
            GridModel m = new GridModel();
            List<Transaction<Subjects>> transactions = m.LoadTransactions<Subjects>(HttpContext.Request.Form["ig_transactions"]);
            JsonResult result = new JsonResult();
            Dictionary<string, bool> response = new Dictionary<string, bool>();
            response.Add("Success", true);
            result.Data = response;
            return result;


        }

    }
}
